none
WPF Behavior 引用程序集错误 RRS feed

  • 问题

  • 各位老师:

    为实现WPF的TreeViewItem上的Popup的Behavior。我引用了“System.Windows.Interactivity.dll”程序集,并在“ThePopupBehavior”这个类“using System.Windows.Interactivity;”。曾在别的类似程序中这样实现过。可是这里,当生成该项目时,总是显示下图的错误信息。

    不明白为什么。烦请各位老师费心帮看看。谢谢了!


    ly_he

    2018年8月12日 4:39

答案

  • 感谢Shuanghua Li和Zhanglong Wu两位老师。

    高手风范,果然如你们所料,就是调用Dll的程序版本低了,调高后一切OK。

    再次感谢,麻烦了。


    ly_he

    • 已标记为答案 ly_he 2018年8月14日 12:10
    2018年8月14日 12:10

全部回复

  • 有一种可能是当前项目的.NET Framework设定低了,导致项目虽然引用了DLL,但不能调用它(低版本的.NET不能引用高版本的.NET项目类库),您尝试将当前项目的.NET Framework版本调高,或是与被引用的程序集一致。

    再或是看下Output窗口里面输出的详细信息。


    专注于.NET ERP/CRM开发框架,C/S架构,SQL Server + ORM(LLBL Gen Pro) + Infragistics WinForms

    2018年8月13日 0:28
  • 你好,

    如Shuanghua Li 所说,可能是版本的问题,你可以使用Nuget 来下载System.Windows.Interactivity 试试。


    https://www.nuget.org/packages/System.Windows.Interactivity.WPF/

    Best regards,

    Zhanglong


    MSDN Community Support
    Please remember to click "Mark as Answer" the responses that resolved your issue, and to click "Unmark as Answer" if not. This can be beneficial to other community members reading this thread. If you have any compliments or complaints to MSDN Support, feel free to contact MSDNFSF@microsoft.com.

    2018年8月13日 2:08
  • 感谢Shuanghua Li和Zhanglong Wu两位老师。

    高手风范,果然如你们所料,就是调用Dll的程序版本低了,调高后一切OK。

    再次感谢,麻烦了。


    ly_he

    • 已标记为答案 ly_he 2018年8月14日 12:10
    2018年8月14日 12:10